Subject: bug#22746: 25.0.90; OS X: Visual bell hard to see

From: Alan Third <[email-masked]>
Date: Fri, 13 May 2016 17:03:11 +0100

On Fri, May 13, 2016 at 08:45:43AM -0700, Drew Adams wrote:
> > > > > What would be the ideal visible bell? The top and bottom lines
> > flashing or
> > > > > flashing the entire window, or do people like the warning icon?
> > > >
> > > > Personally I'd prefer top and bottom lines. Every better: give me a
> > > > defcustom to decide between icon, top/bottom, whole screen, or some
> > > > alerting function (which in future would allow for connecting with
> > alert.el).
> > >
> > > +1.  And not just for OS X.
> > >
> > > It could also incorporate what echo-bell.el does, or similar,
> > > as one of the option values.
> > 
> > Am I right in thinking that this would just require exposing the bell
> > functions to Emacs lisp, and then providing a simple way to set
> > ring-bell-function? Or have I misunderstood?
> 
> Are you asking me?

Sorry, I probably should have responded directly to John.

> There already is an easy way to set `ring-bell-function', so I'm really
> not sure what you are asking.

This is why I'm not sure why John's asking for a way to tie in an
alerting function. It's already there.
-- 
Alan Third